Bug 49899 - RFE: certain operations use chroot(2), need check for root user
RFE: certain operations use chroot(2), need check for root user
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
low Severity low
: ---
: ---
Assigned To: Paul Nasrat
David Lawrence
:
: 19382 24611 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-24 18:01 EDT by Mihai Ibanescu
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 15:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihai Ibanescu 2001-07-24 18:01:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010712

Description of problem:
Creating an RPM database (using --initdb) is possible using a non-root
account; updating it as a non-root fails.

How reproducible:
Always

Steps to Reproduce:
1. Log in with a non-root user
2. mkdir /var/tmp/dummyrpm
3. rpm --dbpath /var/tmp/dummyrpm --initdb
(okay so far)
4. rpm --dbpath /var/tmp/dummyrpm --justdb -Uvh --notriggers --noscripts
--nodeps --noorder --force --ignoresize foo-1.1-1.rpm
5. rpm --dbpath /var/tmp/dummyrpm -qa
	

Actual Results:  Nothing installed in the database

Expected Results:  Something installed

Additional info:

The above works fine as root.
Comment 1 Jeff Johnson 2001-08-30 14:09:52 EDT
This bug will be used to address rpm implicitly needing root
for chroot(2) problems.
Comment 2 Jeff Johnson 2001-08-30 14:20:27 EDT
*** Bug 24611 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Johnson 2001-08-30 14:22:22 EDT
*** Bug 19382 has been marked as a duplicate of this bug. ***
Comment 4 Paul Nasrat 2005-06-07 15:37:20 EDT
Working on rpm 4.4.1

[pauln@enki ~]$ rpm --dbpath /var/tmp/dummyrpm/ -ivh --nodeps --justdb
--noscripts ~/rpm/RPMS/deps-required-1.0-1.noarch.rpm
Preparing...                ########################################### [100%]
[pauln@enki ~]$ rpm --dbpath /var/tmp/dummyrpm/ -qa deps-required-1.0-1.noarch

Note You need to log in before you can comment on or make changes to this bug.